summaryrefslogtreecommitdiffstats
path: root/vagrant/autocluster_check_ips.sh
diff options
context:
space:
mode:
Diffstat (limited to 'vagrant/autocluster_check_ips.sh')
-rwxr-xr-xvagrant/autocluster_check_ips.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/vagrant/autocluster_check_ips.sh b/vagrant/autocluster_check_ips.sh
new file mode 100755
index 0000000..d6b23cf
--- /dev/null
+++ b/vagrant/autocluster_check_ips.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+for ip ; do
+ out=$(ip addr show to "$ip")
+
+ if [ -z "$out" ] ; then
+ echo "ERROR: ${ip} was not found on an interface"
+ ip addr
+ exit 1
+ fi
+done